<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
    style="min-height: 600px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
    <span class="mask bg-gradient-danger opacity-8"></span>
    <div class="container-fluid d-flex align-items-center">
        <div class="row">
            <div class="col-lg-7 col-md-10">
            </div>
        </div>
    </div>
</div>
<div class="container-fluid mt--7" style="margin-top: -27rem !important;">
    <div class="row">


        <div class="col-xl-12 order-xl-1 mb-5">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">Projects</h3>
                        </div>

                    </div>
                </div>
                <div class="card-body">
                    <div class="row" *ngIf="projects; else nullProject">
                        
                        <div class="col-md-6 col-lg-4 col-sm-12 col-xm-12 mt-3" *ngFor="let project of projects">
                            <div class="card" >
                                <img style="width: auto;height: 200px;" src="{{ project['thumbnail'] }}" class="card-img-top" alt="...">
                                <div class="card-body">
                                  <h2 class="card-title text-center">{{ project['title'] }}</h2>
                                  <p class="text-center"><strong>Fund Raised: </strong>₹ {{ project['amount']+"/"+ project['target_amount']}}</p>
                                  <p class="text-center"><strong>Interest Rate: </strong>{{ project['interest_rate'] }}% / Monthly</p>
                                  <!-- <p class="text-center"> <button class="btn btn-info" data-toggle="modal" data-target="#investModal" >Invest Now</button></p> -->
                                  <p class="text-center"> <a class="btn btn-primary" [routerLink]="['/project-detail/'+project['project_id']]"
                                    routerLinkActive="router-link-active">View Details</a></p>
                                </div>
                              </div>
                        </div>
                        
                    </div>
                    <ng-template #nullProject>
                        <div class="container">
                            <h2 class="alert alert-danger">No Project Available</h2>

                        </div>
                        
                    </ng-template>


                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="investModal" data-backdrop="static" data-keyboard="false" tabindex="-1"
  aria-labelledby="investModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="investModalLabel">Invest Now</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="container text-center">
          <span class="text-danger" *ngIf="isDisable">{{amountError}}</span>

        </div>
        <div class="form-group">
          <label for="amount">Amount</label>
          <input type="number" (input)="GetAmountValue($event)" class="form-control" id="amount" min="5000"
            value="5000">
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" (click)="PayBtn()" class="btn btn-primary" [disabled]='isDisable'>Invest Now</button>
      </div>
    </div>
  </div>
</div>